## aca 0.1.6

=== draw/Makefile ===

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS=	draw.o\
	astr.o\
	colors.o
	   
all: $(OBJS) 

include $(TOPDIR)/Makerule

=== debian/changelog ===
aca (0.1.6) unstable; urgency=low

  * build-depends fix (the hurd porters are fool) (closes: Bug#101685)

 -- RISKO Gergely <risko@debian.org>  Thu, 21 Jun 2001 01:23:11 +0200

aca (0.1.5) unstable; urgency=low

  * configure update (gpm isn't used when not available)
  * linux/termios.h include went out, it seems isn't used anymore 
    (closes: Bug#101113)

 -- RISKO Gergely <risko@debian.org>  Tue, 19 Jun 2001 20:48:20 +0200

aca (0.1.4) unstable; urgency=low

  * debian updates, and build-depend gettext added (closes: Bug#100177)

 -- RISKO Gergely <risko@debian.org>  Sat,  9 Jun 2001 15:42:03 +0200

aca (0.1.3) unstable; urgency=low

  * modification for kim. Patch by Zakkr.
  
 -- RISKO Gergely <risko@debian.org>  Thu,  1 Mar 2001 21:42:43 +0100

aca (0.1.2) unstable; urgency=low

  * source section modified to libs
  
 -- RISKO Gergely <risko@debian.org>  Fri,  2 Feb 2001 23:07:33 +0100

aca (0.1.1) unstable; urgency=low

  * Initial Release.

 -- RISKO Gergely <risko@debian.org>  Mon, 29 Jan 2001 19:57:53 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: aca
Section: libs
Priority: optional
Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: debhelper (>> 2.0.0), libgpmg1-dev [!hurd-i386], libncurses5-dev, gettext
Standards-Version: 3.2.1

Package: libaca-dev
Section: devel
Architecture: any
Depends: libaca0 (= ${Source-Version}), libc6-dev
Description: The Advanced nCurses Api
 ACA is a very ease to programming ncurses api, you can simply make
 buttons, menus, choices, file selection, etc. This is the package
 which contains runtime libraries. If you want to see a great ACA
 application, then please install KIM.

Package: libaca0
Architecture: any
Depends: ${shlibs:Depends}
Description: The Advanced nCurses Api -- development files
 This is the files for ACA which are needed to compile binaries
 from sources. There aren't any documentations, only examples yet.

## aca 0.1.9

=== debian/changelog ===
aca (0.1.9) unstable; urgency=low

  * small fixes (closes: #181809, #181818)

 -- RISKO Gergely <risko@debian.org>  Sat, 15 Mar 2003 14:29:31 +0100

aca (0.1.8) unstable; urgency=low

  * new config.sub, config.guess (closes: #177146)

 -- RISKO Gergely <risko@debian.org>  Fri, 17 Jan 2003 17:59:57 +0100

aca (0.1.7) unstable; urgency=low

  * small cosmetic fixes (in copyright file)

 -- RISKO Gergely <risko@debian.org>  Fri, 17 Jan 2003 14:49:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: RISKO Gergely <risko@debian.org>
 Build-Depends: debhelper (>> 2.0.0), libgpmg1-dev [!hurd-i386], libncurses5-dev, gettext
-Standards-Version: 3.2.1
+Standards-Version: 3.5.8.0
 
 Package: libaca-dev
 Section: devel
 Architecture: any
-Depends: libaca0 (= ${Source-Version}), libc6-dev
+Depends: libaca0 (= ${Source-Version}), libc6-dev, libncurses5-dev
 Description: The Advanced nCurses Api
  ACA is a very ease to programming ncurses api, you can simply make
  buttons, menus, choices, file selection, etc. This is the package

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

version=0.1
major=0

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/libaca-dev/usr

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles --sourcedir=debian/libaca-dev -plibaca$(major)             \
	usr/lib/libaca.so.$(major)        \
	usr/lib/libaca.so.$(version)
	dh_installdocs
	dh_installexamples Examples/*
	cp Makeconf $(CURDIR)/debian/libaca-dev/usr/share/doc/libaca-dev/examples
	echo 'TOPDIR=.' >$(CURDIR)/debian/libaca-dev/usr/share/doc/libaca-dev/examples/TOPDIR
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## aca 0.1.10

=== Makefile ===

#
#  Copyright (c) 1998 - 1999, 2001 Karel Zak "Zakkr" <zakkr@zf.jcu.cz>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  $Id: Makefile,v 1.3 2001/01/02 14:16:15 zakkr Exp $
#

TOPDIR =.
include $(TOPDIR)/Makeconf

DIRS_SRC	= po \
		  draw\
		  utils\
		  widgets\
		  char\
		  dialogs


all: obj target 

example: target
	cd Examples;\
	$(MAKE) all || exit 1;\
	cd ..;

target: obj
	cd Share-lib;\
	$(MAKE) all || exit 1;\
	cd ..;

obj: 
	@for dir in ${DIRS_SRC}; do \
		cd $$dir; \
		${MAKE} all || exit 1; \
		cd .. ; \
	done


install: install-lib install-include install-locales
	
install-lib: 
	cd Share-lib;\
	$(MAKE) install || exit 1;\
	cd ..;

install-locales:
	cd po;\
	$(MAKE) install || exit 1;\
	cd ..;

install-include:
	cd include;\
	$(MAKE) install || exit 1;\
	cd ..;

uninstall: uninstall-lib uninstall-include
	
uninstall-lib: 
	cd Share-lib;\
	$(MAKE) uninstall || exit 1;\
	cd ..;

uninstall-include:
	cd include;\
	$(MAKE) uninstall || exit 1;\
	cd ..;

uninstall-locales:
	cd po;\
	$(MAKE) uninstall || exit 1;\
	cd ..;


clean: 
	@for dir in ${DIRS_SRC}; do \
		cd $$dir; \
		${MAKE} clean || exit 1; \
		cd .. ; \
	done
	cd Share-lib;\
	$(MAKE) clean || exit 1;\
	cd ..;
	cd Examples;\
	$(MAKE) clean || exit 1;\
	cd ..;
	$(RM) *~

distclean: clean
	$(RM) Makeconf config.log config.cache config.status config.h

=== Examples/Makefile ===
include TOPDIR

include $(TOPDIR)/Makeconf

COMPILE 	= $(CC) $(CPPFLAGS) $(CFLAGS) -I $(ACA_INCLUDE) 
COMPILE_LINK 	= $(CC) $(CPPFLAGS) $(CFLAGS) -I $(ACA_INCLUDE) -o $@

LIBS 	+=  -L $(TOPDIR)/Share-lib/ -laca

EXAMPLES 	= edit menu1 buttons dlgs ini_test

###select_view

SRC_EXAMPLES	= $(EXAMPLES:=.c)

OBJS = examples_colors.o

all: $(EXAMPLES) 

$(EXAMPLES): $(OBJS) $(SRC_EXAMPLES)
	$(COMPILE_LINK) $@.c examples_colors.o $(LIBS)

.c.o: $<
	$(COMPILE) -c $<

clean:
	$(RM) *~ *.o core $(EXAMPLES)

=== Share-lib/Makefile ===

#
#  Copyright (c) 1998 - 1999, 2001 Karel Zak "Zakkr" <zakkr@zf.jcu.cz>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  $Id: Makefile,v 1.3 2001/01/02 14:16:15 zakkr Exp $
#

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS=	draw.o astr.o colors.o key.o mouse.o utils.o ini_file.o\
     	button.o input.o menu.o radio.o session.o widget_utils.o\
	simple.o file_view.o select_file.o learn_key.o

NAME= $(PACKAGE)
SO_MAJOR_VERSION= 0
SO_MINOR_VERSION= 1


shlib		:= lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION).$(SO_MINOR_VERSION)
LD		:= $(CC)
LDFLAGS_SL	:= -shared -Wl,-soname,$(shlib)

all: lib$(NAME).a $(shlib)

# Rules to build regular and shared libraries

lib$(NAME).a: $(OBJS)
	$(AR) $(AROPT) $@ $^

# Normal case
$(shlib): $(OBJS)
	$(LD) $(LDFLAGS_SL) -o $@ $(OBJS) $(SHLIB_LINK)
# If we're using major and minor versions, then make a symlink to major-version-only.
ifneq ($(shlib), lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION))
	rm -f lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION)
	$(LN_S) $(shlib) lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION)
endif
# Make sure we have a link to a name without any version numbers
ifneq ($(shlib), lib$(NAME)$(DLSUFFIX))
	rm -f lib$(NAME)$(DLSUFFIX)
	$(LN_S) $(shlib) lib$(NAME)$(DLSUFFIX)
endif

##
## INSTALL
##

install: install-lib-shared install-lib-static

install-lib-static: lib$(NAME).a
	$(INSTALL_DATA) $< $(libdir)/lib$(NAME).a

install-lib-shared: $(shlib)
	$(INSTALL_SHLIB) $< $(libdir)/$(shlib)
ifneq ($(shlib), lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION))
	cd $(libdir) && \
	rm -f lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION) && \
	$(LN_S) $(shlib) lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION)
endif
ifneq ($(shlib), lib$(NAME)$(DLSUFFIX))
	cd $(libdir) && \
	rm -f lib$(NAME)$(DLSUFFIX) && \
	$(LN_S) $(shlib) lib$(NAME)$(DLSUFFIX)
endif

##
## UNINSTALL
##

uninstall:
	rm -f $(libdir)/lib$(NAME).a
	rm -f $(libdir)/lib$(NAME)$(DLSUFFIX) \
	$(libdir)/lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION) \
	$(libdir)/lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION).$(SO_MINOR_VERSION)

##
## CLEAN
##

clean-lib:
	rm -f lib$(NAME).a
	rm -f $(shlib) lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION) lib$(NAME)$(DLSUFFIX)

clean distclean maintainer-clean: clean-lib
	rm -f $(OBJS) *~

=== char/Makefile ===

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS =	key.o\
	mouse.o
	   
all: $(OBJS) 

include $(TOPDIR)/Makerule

=== dialogs/Makefile ===

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS=  	simple.o\
	file_view.o\
	select_file.o\
	learn_key.o
		
all: $(OBJS) 

include $(TOPDIR)/Makerule

=== include/Makefile ===

#
#  Copyright (c) 2001 RISKO Gergely <risko@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#

TOPDIR =..
include $(TOPDIR)/Makeconf

##
## INSTALL
##

install: install-include

install-include: aca.h aca_widget.h aca_dlg.h
	$(INSTALL_DATA) aca.h $(includedir)
	$(INSTALL_DATA) aca_widget.h $(includedir)
	$(INSTALL_DATA) aca_dlg.h $(includedir)

##
## UNINSTALL
##

uninstall:
	rm -f $(includedir)/aca.h
	rm -f $(includedir)/aca_widget.h
	rm -f $(includedir)/aca_dlg.h

=== po/Makefile ===

TOPDIR	=..
include $(TOPDIR)/Makeconf

POTFILES	= POTFILES

LANGUAGES	= cs

DIRS		=	../[a-z]*/*.h\
			../[a-z]*/*.c\

# --------- compile ---------

.SUFFIXES: .po .mo 

all: $(PACKAGE).po $(LANGUAGES).mo
	@echo
	
$(PACKAGE).po: pot
	$(XGETTEXT) --default-domain=$(PROGRAMS) --add-comments \
		--keyword=_aca --keyword=Naca_ --files-from=$(POTFILES) -o $(PACKAGE).po

.po.mo: $<
	$(MSGFMT) -v -o $@ $<	

pot:
	ls $(DIRS) > $(POTFILES) 

clean:
	$(RM) *~ $(PACKAGE).po *.mo POTFILES

install:
	@echo Install locale $(locdir)
	$(INSTALL) -d $(locdir)
	@for lang in $(LANGUAGES); do \
		$(INSTALL) -d $(locdir)/$${lang}/LC_MESSAGES/$$file; \
                $(INSTALL) -m $(TEXT_MODE) $${lang}.mo $(locdir)/$${lang}/LC_MESSAGES/${PACKAGE}.mo; \
        done

uninstall:
	@echo Uninstall locale $(locdir)
	@for lang in $(LANGUAGES); do \
                $(RM) $(locdir)/$${lang}/LC_MESSAGES/${PACKAGE}.mo; \
        done

=== utils/Makefile ===

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS=	utils.o\
	ini_file.o
		
all: $(OBJS)

include $(TOPDIR)/Makerule

=== widgets/Makefile ===

TOPDIR =..
include $(TOPDIR)/Makeconf

OBJS=	widget_utils.o\
   	button.o\
	radio.o\
	menu.o\
	input.o\
	session.o
		
all: $(OBJS) 

include $(TOPDIR)/Makerule

=== debian/changelog ===
aca (0.1.10) unstable; urgency=low

  * cdbsized package
  * description fix (closes: #271379)

 -- RISKO Gergely <risko@debian.org>  Fri, 25 Mar 2005 00:47:04 +0100

=== debian/control ===
Source: aca
Section: libs
Priority: optional
Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.1.0), libgpmg1-dev [!hurd-i386], libncurses5-dev, gettext
Standards-Version: 3.6.1.1

Package: libaca-dev
Section: devel
Architecture: any
Depends: libaca0 (= ${Source-Version}), libc6-dev, libncurses5-dev
Description: The Advanced nCurses API
 ACA is a very ease to programming ncurses API, you can simply make
 buttons, menus, choices, file selection, etc. This is the package
 which contains runtime libraries. If you want to see a great ACA
 application, then please install KIM.

Package: libaca0
Architecture: any
Depends: ${shlibs:Depends}
Description: The Advanced nCurses API -- development files
 This is the files for ACA which are needed to compile binaries
 from sources. There aren't any documentations, only examples yet.

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL := yes
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
DEB_MAKE_INSTALL_TARGET := prefix=$(CURDIR)/debian/libaca-dev/usr install
DEB_INSTALL_EXAMPLES_libaca-dev := Examples/*

binary-post-install/libaca0::
	mv debian/libaca-dev/usr/lib/libaca.so.0.1 debian/libaca0/usr/lib
	mv debian/libaca-dev/usr/lib/libaca.so.0 debian/libaca0/usr/lib

## aca 0.1.10-0.1

=== debian/changelog ===
aca (0.1.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * dialogs/simple.c: Let <errno.h> declare errno.  Thanks to
    Andreas Jochens for the patch.  Closes: #323160.
  * Prevent cdbs from altering build dependencies (disallowed by
    the release policy for etch).

 -- Matej Vela <vela@debian.org>  Tue, 21 Feb 2006 11:16:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-DEB_AUTO_UPDATE_DEBIAN_CONTROL := yes
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 DEB_MAKE_INSTALL_TARGET := prefix=$(CURDIR)/debian/libaca-dev/usr install
